Menu

## ModuleProperty
in package
Uses Properties

ModuleProperty.php : 16

A place for modules to store per-module private data.

##### Tags

Entity
Table

  (name="module_properties")

### Table of Contents

$owner : mixed
$propertyName : mixed
$propertyValue : mixed
getName() : string
  Returns the name of the property.
getOwner() : Module
  Returns the owner.
getValue() : mixed
  Returns the stored property.
setName() : mixed
  Sets the name of the property.
setOwner() : mixed
  Sets the owner.
setValue() : mixed
  Sets the stored property.

### Properties

#### $owner

ModuleProperty.php : 23
`private mixed $owner`

##### Tags

Id

  @ManyToOne(targetEntity="Module", inversedBy="properties")

JoinColumn

  (name="owner", referencedColumnName="library")

#### $propertyName

Properties.php : 12
`private mixed $propertyName = ""`

##### Tags

Id

  @Column(type="string", length=255)

#### $propertyValue

Properties.php : 14
`private mixed $propertyValue = null`

##### Tags

Column

  (type="text")

### Methods

#### getName()

Properties.php : 20

Returns the name of the property.

`public getName() : string`

##### Return values

string —

#### getOwner()

ModuleProperty.php : 29

Returns the owner.

`public getOwner() : Module`

##### Return values

Module —

#### getValue()

Properties.php : 43

Returns the stored property.

`public getValue() : mixed`

##### Return values

mixed —

#### setName()

Properties.php : 30

Sets the name of the property.

`public setName(string $name) : mixed`

##### Parameters

$name : string

##### Tags

throws
  ArgumentEmptyException

  If parameter $name is empty

##### Return values

mixed —

#### setOwner()

ModuleProperty.php : 38

Sets the owner.

`public setOwner(Module $owner) : mixed`

##### Parameters

$owner : Module

##### Return values

mixed —

#### setValue()

Properties.php : 52

Sets the stored property.

`public setValue(mixed $value) : mixed`

##### Parameters

$value : mixed

##### Return values

mixed —

## Search results